* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    overflow-x: hidden;
}

.mainbannersection {
    width: 100%;
    background-color: #FFFFFF;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 50px 0px;
    max-height: 771px;
    position: relative;
    overflow: hidden;
}

.bannerleftcontent{
    padding-left: 100px;
    padding-top: 100px;
}

.bannersectionimg {
    width: 342px;
    height: 100%;
}

.bannersectionimg img {
    width: 100%;
    height: 100%;
    animation: movinng 1s infinite;
    animation-delay: 1s;
    animation-timing-function: cubic-bezier(0.65, 0, 0.35, 1);
    object-fit: cover;
    border-radius: 0px;
}

.bannerrightimage {
    position: relative;
}

.countbox {
    background-color: #f26e24 !important;
    border-radius: 50px;
    color: #fff;
    padding: 20px 0;
    width: 100px;
    height: 80px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.countbox h6,
.countbox p {
    margin: 0px;
}

.countbox h6 {
    color: #FFFFFF;
    font-size: clamp(16px, 2vw, 20px);
    font-weight: 500;
    text-align: center;
}

.countbox p {
    color: #FFFFFF;
    font-size: clamp(10px, 1.5vw, 13px);
    text-align: center;
    line-height: 1;
    font-weight: 500;
}

.bannertxt h1 {
    font-size: clamp(28px, 5vw, 53px);
    font-weight: 700;
    color: #0674b7;
    margin-bottom: 20px;
}

.bannertxt span {
    color: #f26e24;
    font-weight: 700;
}

.bannertxt p {
    font-size: clamp(14px, 2vw, 18px);
    font-weight: 400;
    color: #0b1a30;
    line-height: 1.5;
    margin-bottom: 10px;
}

.bannertxt .bannerbtn {
    background-color: #0674B7;
    font-size: clamp(14px, 1.8vw, 20px);
    padding: 16px 35px;
    font-weight: 700;
    color: #FFFFFF;
    text-decoration: none;
    border-radius: 40px 40px 40px 40px;
    transition: background-color 0.3s ease;
    margin-top: 20px;
    animation: bannerbtn 0.2s infinite;
    animation-delay: 0.2s;
}

.bannertxt .bannerbtn:hover {
    background-color: #FBD505;
    color: #FFFFFF;
    text-decoration: none;
}

@keyframes movinng {
    0% {
        transform: scale(1);
    }

    40% {
        transform: scale(0.8);
    }

    50% {
        transform: scale(0.8);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes bannerbtn {
    0% {
        transform: translate(0, 0);
    }
    25% {
        transform: translate(2px, 2px); 
    }
    50% {
        transform: translate(0, 0);
    }
    75% {
        transform: translate(-2px, 0); 
    }
    100% {
        transform: translate(0, 0);
    }
}



.bannerrightimage {
    position: relative !important;
    width: 100%;
    height: 100%;
}

.bannerfreeimg {
    position: absolute;
    top: 50px;
    left: 50px;
    width: 175px;
    height: 175px;
    z-index: 1;
}

.bannerfreeimg img {
    width: 100%;
    height: 100%;
    animation: movinng 1s infinite;
    animation-delay: 1s;
}

.bannersideimg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0px;
}


/* ============================================ */
/* worldschooling Section CSS  */
/* ================================================== */
.worldschooling-section {
  background: #fff;
  padding: 60px 0;
}

.ws-imagesection{
    align-content: flex-start;
    display: flex;
    position: relative;
    width: 100%;
    position: relative;
}

.ws-image1{
    width: 100%;
    max-width: 367px;
    height: auto;
}

.ws-image1 img{
    max-width: 367px;
    border-radius: 70% 70% 100% 100%;
    box-shadow: 0px 0px 43px 0px rgba(0, 0, 0, 0.15);
}

.ws-image2{
    width: 100%;
    max-width: 228px;
    height: auto;
    margin-top: 30px;
    display: flex;
    align-items: end;
}

.ws-image2 img{
    width: 100%;
    border-style: solid;
    border-width: 15px 15px 15px 15px;
    border-color: #FFFFFF;
    border-radius: 70% 70% 100% 100%;
    box-shadow: 0px 0px 64px 0px rgba(0, 0, 0, 0.14);
}

.ws-image3{
    width: 100%;
    max-width: 132px;
    height: auto;
    position: absolute;
    bottom: -20px;
    left: 180px;
}

.ws-image4{
    width: 100%;
    max-width: 30px;
    height: auto;
    position: absolute;
    bottom: -20px;
    left: 50px;
}

.ws-image5{
    width: 100%;
    max-width: 164px;
    height: auto;
    position: absolute;
    top: 130px;
    left: -130px;
}

.ws-text {
    margin-left: 30px;
    max-width: 600px;
    padding-top: 50px;
}

.ws-text h2 {
    color: #0674B7;
    font-size: 38px;
    font-weight: 700;
    margin-bottom: 12px;
    line-height: 1.1;
    max-width: 420px;
}

.ws-text h2 span {
    color: #0674B7;
    font-weight: 700;
}

.ws-text h4 {
    color: #222;
    font-size: 1.2rem;
    font-weight: 500;
    margin-bottom: 16px;
}

.ws-text p {
    color: #444;
    font-size: 1.1rem;
    line-height: 1.6;
}

/* ====================================
worldschooling Feature Section CSS
======================================= */
.ws-features {
    margin: 50px 0px;
    padding: 50px 0px;
}

.ws-feature-img{
    max-width: 364px;
}

.ws-feature-img img{
    width: 100%;
    height: 100%;
    box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.16);
    border-radius: 70% 70% 100% 100%;
    object-fit: cover;
    z-index: 0;
}

.ws-feature-img a{
    text-decoration: none;
}

.ws-feature-label{
    margin: -18% 8% 0% 8%;
    padding: 15px 0px 14px 0px;
    border-radius: 50px 50px 50px 50px;
    box-shadow: 0px 20px 20px 0px rgba(0, 0, 0, 0.06);
    font-size: 24px;
    font-weight: 700;
    line-height: 1.5em;
    color: #FFFFFF;
    z-index: 1;
    position: relative;
    text-align: center;
}

.ws-feature-label-red { background: #f44336; }
.ws-feature-label-yellow { background: #ffd600; color: #222; }
.ws-feature-label-blue { background: #00b6ff; }

.ws-feature-card{
    text-align: center;
    font-size: 18px;
}

.ws-feature-desc{
    margin: -50px 0px 0px 0px;
    padding: 70px 40px 30px 40px;
    border-radius: 50px 50px 50px 50px;
    box-shadow: 0px 20px 20px 0px rgba(0, 0, 0, 0.06);
}

.ws-feature-desc p{
    margin-bottom: 0.9rem;
    font-family: "Rubik", Sans-serif !important;
}

/* ==============================================
 worldschooling Parents say about us Section CSS
================================================= */
.ws-parentsabout-us{
    background: #fff;
    padding: 60px 0px;
    position: relative;
}

.ws-particleimg .ws-paticle1{
    position: absolute;
    top: 55%;
    left: -50px;
    z-index: 0;
    transform: rotate(-10deg);
}

.ws-particleimg .ws-paticle2{
    position: absolute;
    top: 50%;
    left: 10%;
    z-index: 0;
}

.parents-title{
    text-align: center;
    margin-bottom: 50px;
    position: relative;
}

.parents-title img{
    position: absolute;
    top: -97%;
    left: 27%;
}

.parents-title h2{
    font-size: 48px;
    font-weight: 700;
    color: #0674B7;
}

.ws-parentacard{
    box-shadow: 0px 20px 20px 0px rgba(0, 0, 0, 0.06);
    margin: 0% 8% 0% 8%;
    --e-column-margin-right: 8%;
    --e-column-margin-left: 8%;
    padding: 30px 30px 30px 30px;
    border-radius: 50px 50px 50px 50px;
}

.ws-parentimg{
    width: 236px;
    height: 236px;
    margin: 0 auto;
    border-radius: 70% 70% 100% 100%;
}

.ws-parentimg img{
    width: 100%;
    height: 100%;
    border-radius: 70% 70% 100% 100%;
}

/* ================================
Worldschooling Journey Section CSS
=================================== */
.ws-journey {
    background-image: url('https://i0.wp.com/staging32.schoolio.com/wp-content/uploads/2024/02/multi-colored-eggs-painted-by-group-of-kids-9S9SBYZ-jpg.webp?fit=1920%2C943&ssl=1');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 30px;
    margin-bottom: 0;
    padding: 150px 0 120px 0;
    border-radius: 50% 50% 0px 0px;
    box-shadow: 0 8px 32px rgba(0,0,0,0.08);
    position: relative;
    z-index: 0;
}

.ws-journey::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(6, 116, 183, 0.9); 
    border-radius: 50% 50% 0px 0px;
    z-index: 0;
}

.ws-journeycontain {
    position: relative;
    z-index: 1;
}

.ws-journeycontain h2{
    font-size: 48px;
    font-weight: 700;
    color: #FAFAFA;
    text-align: center;
    margin-bottom: 20px;
}

.ws-journeycontain h6{
    font-size: 32px;
    font-weight: 800;
    color: #FAFAFA;
    text-align: center;
    margin-bottom: 30px;
}

.ws-journeycontain p{
    font-family: "Rubik", Sans-serif !important;
    text-align: center;
    font-size: 18px;
    color: #FFFFFF;
}

.ws-journeycontain button{
    background-color: #FFFFFF;
    font-size: 18px;
    font-weight: 700;
    text-decoration: none;
    color: #191A56;
    border-radius: 50px 50px 50px 50px;
    transition: all 0.3s ease;
    margin: 0px auto;
    display: flex;
    padding: 10px 20px;
    justify-content: center;
    text-transform: uppercase;
}

.ws-journeycontain .ws-journeybtn button:hover{
    transform: scale(1.05);
    transition: all 0.3s ease;
}


/* Media Query Css All Page  */
/* Tablet view (768px and below) */
@media screen and (max-width: 1024px) {
    .mainbannersection {
        flex-direction: column;
        padding: 30px 0;
    }

    .bannerleftcontent{
        padding-left: 0px;
    }

    .bannersectionimg {
        width: 280px;
        margin-bottom: 20px;
    }

    .bannerrightimage {
        position: relative;
        margin-top: 40px;
        text-align: center;
        height: auto;
    }

    .bannersideimg {
        width: 500px;
        height: 100%;
        top: 0;
        right: 0;
        position: relative;
    }

    .countbox {
        width: 60px;
        height: 50px;
        padding: 10px 0;
    }

    .bannerfreeimg {
        width: 125px;
        height: 125px;
    }

/* ======================================
worldschooling Feature Section CSS
======================================= */
    .ws-features-row { 
        flex-direction: column; 
        align-items: center; 
    }
    .ws-feature-col { 
        width: 100%; 
        max-width: 420px; 
    }

     .ws-imagesection{
        flex-wrap: wrap;
     }

     .ws-image2 {
        position: absolute;
        bottom: 0%;
        right: 0%;
        max-width: 225px;
    }

    .ws-text h2 {
        text-align: left;
        font-size: 30px;
    }
    .ws-text p, .ws-text h4 {
        text-align: left;
    }
    .worldschooling-section{
        padding: 0px 0px;
    }
    .ws-features {
        margin: 30px 0px;
        padding: 30px 0px;
    }
    .ws-particleimg .ws-paticle2 {
        left: 3%;
    }


}

@media screen and (max-width: 819px) {
    .mainbannersection {
        flex-direction: column;
        padding: 30px 0;
        overflow: unset;
    }

    .bannerleftcontent{
        padding-left: 0px;
        padding-top:0px;
    }

    .bannersectionimg {
        width: 280px;
        margin-bottom: 20px;
    }

    .bannerrightimage {
        position: relative;
        margin-top: 40px;
        text-align: center;
        height: auto;
    }

    .bannersideimg {
        width: 375px;
        height: 70%;
        top: 0;
        right: 0;
        position: relative;
    }

    .countbox {
        width: 60px;
        height: 50px;
        padding: 10px 0;
    }

    .bannerfreeimg {
        width: 125px;
        height: 125px;
    }

/* ======================================
worldschooling Feature Section CSS
======================================= */
    .ws-features-row { 
        flex-direction: column; 
        align-items: center; 
    }
    .ws-feature-col { 
        width: 100%; 
        max-width: 420px; 
    }

    .ws-imagesection{
        flex-wrap: wrap;
    }

    .ws-image1 img {
        max-width: 450px;
    }
    .ws-image1 {
        max-width: 450px;
    }

    .ws-image2 {
        position: absolute;
        bottom: 0%;
        right: 30%;
        max-width: 225px;
    }
    
    .ws-text h2 {
        text-align: left;
        font-size: 30px;
    }
    .ws-text p, .ws-text h4 {
        text-align: left;
    }
    .worldschooling-section{
        padding: 0px 0px;
        margin-top: 5%;
    }
    .ws-choose{
        margin-top: 0% !important;
    }
    .ws-features {
        margin: 30px 0px 20px;
        padding: 30px 0px;
    }
    .ws-feature-label{
        font-size: 18px;
    }


}

/* Mobile view (576px and below) */
@media screen and (max-width: 576px) {
    .mainbannersection .row {
        flex-direction: column;
    }

    .bannerleftcontent{
        padding-left: 0px;
        padding-top: 0px;
    }

    .worldschooling-section{
        padding: 0px 0px;
        margin-top: 30%;
    }

    .countbox {
        width: 60px;
        height: 50px;
        padding: 10px 0;
    }

    .bannertxt h1 {
        font-size: clamp(24px, 6vw, 32px);
        text-align: left;
    }

    .bannertxt p {
        text-align: left;
    }

    .bannerbtn {
        display: block;
        margin-top: 20px;
    }

    .bannersectionimg {
        width: 165px;
        margin: 0 auto;
    }

    .bannersideimg {
        width: 375px;
        height: auto;
        margin: 0 auto;
        top: 0;
        right: -8%;
        position: relative;
    }

    .bannerfreeimg {
        position: absolute;
        top: 0;
        left: 25%;
        width: 90px;
        height: 90px;
        z-index: 1;
    }
/* =================================== */
/* worldschooling Section CSS  */
/* =================================== */

    .ws-container { 
        flex-direction: column; 
        gap: 32px; 
    }
    .ws-text { 
        text-align: center; 
        padding-top: 30px;
    }

    .ws-image1 img {
        max-width: 275px;
    }


/* ===================================
worldschooling Feature Section CSS
====================================== */
    .ws-feature-card { 
        max-width: 100%; 
        border-radius: 20px; 
    }
    .ws-feature-img { 
        width: 100%; 
        height: 77%; 
        border-radius: 20px 20px 0 0; 
        margin: 0px auto;
    }
    .ws-feature-label { 
        font-size: 1.05rem; 
        padding: 8px 18px;
        margin: -11% 8% 0% 8% 
    }
    .parents-title h2 {
        font-size: 30px;
    }
    .ws-journey {
        border-radius: 0% 0% 0px 0px;
    }
    .ws-journey::before {
        border-radius: 0% 0% 0px 0px;
    }
    .ws-journeycontain h2 {
        font-size: 32px;
    }
    .ws-journeycontain h6 {
        font-size: 24px;
    }
    .ws-image3 {
        display: none;
    }
    .ws-image2 {
        position: absolute;
        bottom: 0%;
        right: 0%;
        max-width: 175px;
    }

}
